Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 05 Apr 2022 16:00:12 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I had returned an order and the courier collected the wrong package from me. The item I sent was a 6th street item. I had given him the correct items last week and wanted to know if it was received and refunded and also whether the 6th Street item has been returned as promised by your team. On 1st April they has cancelled my return for order #1661820548 for which I spoke to one of your customer care executives and was promised it would be looked into, my item will be returned and my amount refunded. Till now I have not received any updates and its getting frustrating because this was not my fault but the fault of the courier person when asked which website the return was for. Kindly reply with a satisfactory action ASAP. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4127401